MagicMirror² v2.13.0 is available! For more information about this release, check out this topic.

update magic mirror



  • hi !

    Today i have a problem with the update. The screen show the message “an update is available, need 4 commits”, but when i do the command on the readme, my terminal say “no module found needing npm refresh” and many error about save_custom.css.

    More, i would like know if they are something to do to make automatic installation update .
    best regards



  • @mastadook ok, you are starting in the wrong place with the wrong script…

    in folder  
         /home/pi  
    start this
        /home/pi/MagicMirror    
    

    use my pm2 fixup script…

    do this

    pm2 delete 0
    bash -c "$(curl -sL https://raw.githubusercontent.com/sdetweil/MagicMirror_scripts/master/fixuppm2.sh)"
    


  • @Raxos I think you are running the upgrade script? if so, can u show me the

    ~/MagicMirror/installers/upgrade.log
    

    that message means there are no active installed modules (in the modules folder) which contain a package.json file





  • @Raxos that link is not valid. The scripts have been moved to an external site for a few weeks now. (That exact script has a fatal bug)

    See the scripts here
    https://github.com/sdetweil/MagicMirror_scripts

    Also, the Google drive link is not shared.





  • @Raxos ok, can you execute these commands and tell me the results

    LC_ALL=C git status
    
    locale
    


  • Hi,

    after Update I have this Problem: Any Idea?

    0|MagicMirror | > magicmirror@2.10.1 start /home/pi/MagicMirror
    0|MagicMirror | > ./run-start.sh
    0|MagicMirror | ./run-start.sh: Zeile 66: electron: Kommando nicht gefunden.
    0|MagicMirror | npm
    0|MagicMirror | ERR! code ELIFECYCLE
    0|MagicMirror | npm
    0|MagicMirror | ERR! syscall spawn
    0|MagicMirror | npm ERR! file
    0|MagicMirror | sh
    0|MagicMirror | npm ERR! errno ENOENT
    0|MagicMirror | npm
    0|MagicMirror | ERR! magicmirror@2.10.1 start: ./run-start.sh
    0|MagicMirror | npm ERR! spawn ENOENT
    0|MagicMirror | npm ERR!
    0|MagicMirror | npm
    0|MagicMirror | ERR! Failed at the magicmirror@2.10.1 start script.
    0|MagicMirror | npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    0|MagicMirror | npm ERR! A complete log of this run can be found in:
    0|MagicMirror | npm ERR! /home/pi/.npm/_logs/2020-01-31T15_08_06_616Z-debug.log

    What can I do?

    Regards
    Clemens



  • @mastadook can u tell us more?
    What version did u upgrade from?

    Show output of
    uname
    npm -v
    node -v



  • Hi Sam,

    here are the requested Infos:
    pi@magicmirror:~ $ uname
    Linux
    pi@magicmirror:~ $ npm -v
    6.13.4
    pi@magicmirror:~ $ node -v
    v10.18.1

    Errormessage after npm install
    0|MagicMirror | path: ‘package.json’ }
    0|MagicMirror | [15:31:05.578] [ERROR]
    0|MagicMirror | { Error: ENOENT: no such file or directory, open ‘package.json’
    0|MagicMirror | at Object.openSync (fs.js:443:3)
    0|MagicMirror | at Object.readFileSync (fs.js:343:35)
    0|MagicMirror | at Object. (/home/pi/MagicMirror/js/app.js:21:32)
    0|MagicMirror | at Module._compile (internal/modules/cjs/loader.js:778:30)
    0|MagicMirror | at Object.Module._extensions…js (internal/modules/cjs/loader.js:789:10)
    0|MagicMirror | at Module.load (internal/modules/cjs/loader.js:653:32)
    0|MagicMirror | at tryModuleLoad (internal/modules/cjs/loader.js:593:12)
    0|MagicMirror | at Function.Module._load (internal/modules/cjs/loader.js:585:3)
    0|MagicMirror | at Module.require (internal/modules/cjs/loader.js:692:17)
    0|MagicMirror | at Module.Hook._require.Module.require (/usr/lib/node_modules/pm2/node_modules/require-in-the-middle/index.js:70:39)
    0|MagicMirror | errno: -2,
    0|MagicMirror | syscall: ‘open’,
    0|MagicMirror | code: ‘ENOENT’,

    It works for some hours, after restart the Errormessage comes back.



  • @mastadook said in update magic mirror:

    /usr/lib/node_modules/pm2/node_

    can u tell me what modules u have installed? (folder names in MagicMirror/modules, excluding default)

    there is one module I know of that uses pm2 to launch another component under the covers

    how did u upgrade to 2.10.1?


Log in to reply